Skip to content

Most visited

Recently visited

navigation

ActivityManagerCompat

public final class ActivityManagerCompat
extends Object

java.lang.Object
   ↳ android.support.v4.app.ActivityManagerCompat


Helper for accessing features in ActivityManager introduced after API level 4 in a backwards compatible fashion.

Summary

Public methods

static boolean isLowRamDevice(ActivityManager am)

Returns true if this is a low-RAM device.

Inherited methods

From class java.lang.Object

Public methods

isLowRamDevice

added in version 22.0.0
boolean isLowRamDevice (ActivityManager am)

Returns true if this is a low-RAM device. Exactly whether a device is low-RAM is ultimately up to the device configuration, but currently it generally means something in the class of a 512MB device with about a 800x480 or less screen. This is mostly intended to be used by apps to determine whether they should turn off certain features that require more RAM.

Parameters
am ActivityManager
Returns
boolean
This site uses cookies to store your preferences for site-specific language and display options.

Hooray!

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.

Take a one-minute survey?
Help us improve Android tools and documentation.